close

Spring Boot for Apache Geode & VMware GemFire 1.1.8.RELEASE and 1.2.8.RELEASE available!

On behalf of the Spring, Apache Geode and VMware GemFire communities, it is my pleasure to announce the release of Spring Boot for Apache Geode & VMware GemFire (SBDG) 1.1.8.RELEASE and 1.2.8.RELEASE.

SBDG 1.1.8.RELEASE is based on Spring Boot 2.1.15.RELEASE and SBDG 1.2.8.RELEASE is based on Spring Boot 2.2.8.RELEASE. Bits for both releases are available in Maven Central.

As a friendly reminder, please refer to the Version Compatibility Matrix to see how SBDG aligns with Spring, Apache Geode and VMware GemFire versions.

SBDG 1.1.x is fixed on Spring Data Lovelace, which is in support until October 2020. However, given SBDG 1.1.x is based on Spring Data Lovelace, which is based on Apache Geode 1.6.0 and VMware GemFire 9.5.4, both of which have reached their EOL, the SBDG 1.1.x release line will effectively only pick up dependency updates until October when SD Lovelace reaches EOL. No new development is happening SBDG 1.1.x. You are therefore encouraged to upgrade to SBDG 1.2.8.RELEASE or 1.3.0.RELEASE as soon as possible.

You can start a new Spring Boot 2.2.8.RELEASE project using Apache Geode at start.spring.io.

See the changelog for more details.

Feedback

Feedback is welcomed and appreciated.

comments powered by Disqus